Subject: bug#41709: installed-os test failing

From: Mathieu Othacehe <[email-masked]>
Date: Fri, 05 Jun 2020 19:01:13 +0200

> All in all, fixing all of this makes the closure size to drop below 1GiB
> which is already a good first step.
>
> I'll try to provide patches soon.

I also discovered that enabling CONFIG_MODULE_COMPRESS, the size of
linux-libre is reduced by 63%.

This makes the image way lighter.

--8<---------------cut here---------------start------------->8---
/gnu/store/6p01ki4iwdxp2bmlr2n27hfry3hp7yac-guix-1.1.0-6.da1b79f   477.4   278.3  29.5%
/gnu/store/158nawzghm4lwm7q7ah8zhh7624fw7zb-locale-2.31             91.9    91.9   9.7%
/gnu/store/la3bzdd032892xrm6sq5zz64rzjhp1yg-linux-libre-5.4.44      79.7    79.7   8.4%
...
total: 943.2 MiB
--8<---------------cut here---------------end--------------->8---

Now, the big source of improvement could be Guix itself (278MiB without
dependencies).

I think we can go further!

Thanks,

Mathieu